Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr.java
[Java] Class PreJava2GroovyConverter

    java.lang.Object
      org.codehaus.groovy.antlr.treewalker.VisitorAdapter
          org.codehaus.groovy.antlr.java.PreJava2GroovyConverter

    public class PreJava2GroovyConverter
    extends VisitorAdapter

This class mutates the Java AST, whilst it is still a Java AST, in readiness for conversion to Groovy, yippee-ky-a !

Constructor Summary
`PreJava2GroovyConverter(String[] tokenNames)`

Method Summary
`GroovySourceAST` | `pop()`
`void` | `push(GroovySourceAST t)`
`void` | `swapTwoChildren(GroovySourceAST t)` To swap two children of node t...
`void` | `visitDefault(GroovySourceAST t, int visit)`

Methods inherited from class VisitorAdapter
pop, push, setUp, tearDown, visitAbstract, visitAnnotation, visitAnnotationArrayInit, visitAnnotationDef, visitAnnotationFieldDef, visitAnnotationMemberValuePair, visitAnnotations, visitArrayDeclarator, visitAssign, visitAt, visitBand, visitBandAssign, visitBigSuffix, visitBlock, visitBnot, visitBor, visitBorAssign, visitBsr, visitBsrAssign, visitBxor, visitBxorAssign, visitCaseGroup, visitClassDef, visitClosedBlock, visitClosureList, visitClosureOp, visitColon, visitComma, visitCompareTo, visitCtorCall, visitCtorIdent, visitDec, visitDefault, visitDigit, visitDiv, visitDivAssign, visitDollar, visitDot, visitDynamicMember, visitElist, visitEmptyStat, visitEnumConstantDef, visitEnumDef, visitEof, visitEqual, visitEsc, visitExponent, visitExpr, visitExtendsClause, visitFinal, visitFloatSuffix, visitForCondition, visitForEachClause, visitForInIterable, visitForInit, visitForIterator, visitGe, visitGt, visitHexDigit, visitIdent, visitImplementsClause, visitImplicitParameters, visitImport, visitInc, visitIndexOp, visitInstanceInit, visitInterfaceDef, visitLabeledArg, visitLabeledStat, visitLand, visitLbrack, visitLcurly, visitLe, visitLetter, visitListConstructor, visitLiteralAs, visitLiteralAssert, visitLiteralBoolean, visitLiteralBreak, visitLiteralByte, visitLiteralCase, visitLiteralCatch, visitLiteralChar, visitLiteralClass, visitLiteralContinue, visitLiteralDef, visitLiteralDefault, visitLiteralDouble, visitLiteralElse, visitLiteralEnum, visitLiteralExtends, visitLiteralFalse, visitLiteralFinally, visitLiteralFloat, visitLiteralFor, visitLiteralIf, visitLiteralImplements, visitLiteralImport, visitLiteralIn, visitLiteralInstanceof, visitLiteralInt, visitLiteralInterface, visitLiteralLong, visitLiteralNative, visitLiteralNew, visitLiteralNull, visitLiteralPackage, visitLiteralPrivate, visitLiteralProtected, visitLiteralPublic, visitLiteralReturn, visitLiteralShort, visitLiteralStatic, visitLiteralSuper, visitLiteralSwitch, visitLiteralSynchronized, visitLiteralThis, visitLiteralThreadsafe, visitLiteralThrow, visitLiteralThrows, visitLiteralTransient, visitLiteralTrue, visitLiteralTry, visitLiteralVoid, visitLiteralVolatile, visitLiteralWhile, visitLnot, visitLor, visitLparen, visitLt, visitMapConstructor, visitMemberPointer, visitMethodCall, visitMethodDef, visitMinus, visitMinusAssign, visitMlComment, visitMod, visitModAssign, visitModifiers, visitNls, visitNotEqual, visitNullTreeLookahead, visitNumBigDecimal, visitNumBigInt, visitNumDouble, visitNumFloat, visitNumInt, visitNumLong, visitObjblock, visitOneNl, visitOptionalDot, visitPackageDef, visitParameterDef, visitParameters, visitPlus, visitPlusAssign, visitPostDec, visitPostInc, visitQuestion, visitRangeExclusive, visitRangeInclusive, visitRbrack, visitRcurly, visitRegexFind, visitRegexMatch, visitRegexpCtorEnd, visitRegexpLiteral, visitRegexpSymbol, visitRparen, visitSelectSlot, visitSemi, visitShComment, visitSl, visitSlAssign, visitSlComment, visitSlist, visitSpreadArg, visitSpreadDot, visitSpreadMapArg, visitSr, visitSrAssign, visitStar, visitStarAssign, visitStarStar, visitStarStarAssign, visitStaticImport, visitStaticInit, visitStrictfp, visitStringCh, visitStringConstructor, visitStringCtorEnd, visitStringCtorMiddle, visitStringCtorStart, visitStringLiteral, visitStringNl, visitSuperCtorCall, visitTripleDot, visitType, visitTypeArgument, visitTypeArguments, visitTypeLowerBounds, visitTypeParameter, visitTypeParameters, visitTypeUpperBounds, visitTypecast, visitUnaryMinus, visitUnaryPlus, visitUnusedConst, visitUnusedDo, visitUnusedGoto, visitVariableDef, visitVariableParameterDef, visitVocab, visitWildcardType, visitWs

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### PreJava2GroovyConverter

    public PreJava2GroovyConverter(String[] tokenNames)

Method Detail

### pop

    public GroovySourceAST pop()

### push

    public void push(GroovySourceAST t)

### swapTwoChildren

    public void swapTwoChildren(GroovySourceAST t)

  To swap two children of node t...

         (t)
          |
          |
         (a) -- (b)

       t.down = firstNode
       a.right = b
       b.right = null

  becomes

         (t)
          |
          |
         (b) -- (a)

       t.down = b
       a.right = null
       b.right = a

  todo - build API of basic tree mutations like this method.

### visitDefault

    public void visitDefault(GroovySourceAST t, int visit)

Copyright © 2003-2010 The Codehaus. All rights reserved.